<?php
  ########################################################################
  # RT Download Counter 2.4 • 17/12/2022 © Alessandro Marinuzzi [Alecos] #
  ########################################################################
  include($_SERVER["DOCUMENT_ROOT"] . "/php/config.php");
  function get_download_count($file = null) {
    if ($file == null) return 0;
    $count = 0;
    $hit_downloads_db = $_SERVER['DOCUMENT_ROOT'] . "/files/counter/download.sqlite";
    try {
      if (!file_exists($hit_downloads_db)) {
        $downloaddb = new PDO("sqlite:" . $hit_downloads_db);
        $downloaddb->exec('CREATE TABLE download(file VARCHAR(255) PRIMARY KEY, count INTEGER)');
      } else {
        $downloaddb = new PDO("sqlite:" . $hit_downloads_db);
      }
    }
    catch (PDOException $e) {
      die($e->getMessage());
    }
    $safefile = md5($file);
    $selectdb = $downloaddb->prepare('SELECT count FROM download WHERE file = :file');
    $selectdb->execute(['file' => $safefile]);
    $downloaddbrecord = $selectdb->fetchAll();
    if (sizeof($downloaddbrecord) != 0) {
      $count = $downloaddbrecord[0]['count'];
      return $count;
    } else {
      return $count;
    }
    $downloaddb = null;
  }
?>